--- /usr/local/bin/automake-1.10	2008-03-03 11:17:22.000000000 +0100
+++ automake-dyalog	2008-03-03 13:25:08.000000000 +0100
@@ -11,7 +11,7 @@
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
+# the Free Software Foundation; either version 3, or (at your option)
 # any later version.
 
 # This program is distributed in the hope that it will be useful,
@@ -980,6 +980,24 @@
 		   'pure' => 1,
 		   'extensions' => ['.java', '.class', '.zip', '.jar']);
 
+# DyALog
+register_language( 'name' => 'dyalog',
+		   'Name' => 'DyALog',
+		   'config_vars' => ['DYACC'],
+		   'ld' => '$(DYACC)',
+		   'lder' =>'DYACCLD',
+		   'linker' => 'DYACCLINK',
+		   'link' => '$(DYACCLD) ${AM_DFLAGS} ${DFLAGS} ${AM_LDFLAGS} ${LDFLAGS} -o $@',
+		   'flags' => ['DFLAGS','DINCLUDE'],
+		   'compile' => '$(DYACC) $(DINCLUDES) $(AM_DFLAGS) $(DFLAGS)',
+		   'compiler' => 'DYACCOMP',
+		   'compile_flag' => '-c',
+		   'output_flag' => '-o',
+		   'pure' => 1,
+		   'extensions' => ['.pl','.tag','.rcg','.dcg'],
+		   'libtool_tag' => 'CC'
+		   );
+
 ################################################################
 
 # Error reporting functions.
@@ -5388,6 +5406,13 @@
     return &lang_sub_obj;
 }
 
+
+# Rewrite a single DyALog file.
+sub lang_dyalog_rewrite
+{
+    return &lang_sub_obj;
+}
+
 # Rewrite a single Java file.
 sub lang_java_rewrite
 {
@@ -5554,7 +5579,7 @@
 {
     my (%linkers) = @_;
 
-    foreach my $l (qw(GCJLINK CXXLINK F77LINK FCLINK OBJCLINK UPCLINK))
+    foreach my $l (qw(GCJLINK CXXLINK F77LINK FCLINK OBJCLINK UPCLINK DYACCLINK))
     {
 	return $l if defined $linkers{$l};
     }
